## org.apache.lucene.benchmark.standard
Class StandardOptions

    java.lang.Object
      org.apache.lucene.benchmark.standard.StandardOptions

All Implemented Interfaces:
  BenchmarkOptions

Deprecated. Use the Task based stuff instead

    public class StandardOptions

extends Object
implements BenchmarkOptions

Constructor Summary
`StandardOptions()` Deprecated.

Method Summary
`int` `getLogStep()` Deprecated. How often to print out log messages when in benchmark loops
`int` `getMaximumDocumentsToIndex()` Deprecated.
`int` `getRunCount()` Deprecated. The number of times to run the benchmark
`int` `getScaleUp()` Deprecated.
`void` `setLogStep(int logStep)` Deprecated.
`void` `setMaximumDocumentsToIndex(int maximumDocumentsToIndex)` Deprecated.
`void` `setRunCount(int runCount)` Deprecated.
`void` `setScaleUp(int scaleUp)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardOptions

    public StandardOptions()

  Deprecated.

Method Detail

### getMaximumDocumentsToIndex

    public int getMaximumDocumentsToIndex()

  Deprecated.

### setMaximumDocumentsToIndex

    public void setMaximumDocumentsToIndex(int maximumDocumentsToIndex)

  Deprecated.

### getLogStep

    public int getLogStep()

  Deprecated.
  How often to print out log messages when in benchmark loops

### setLogStep

    public void setLogStep(int logStep)

  Deprecated.

### getRunCount

    public int getRunCount()

  Deprecated.
  The number of times to run the benchmark

### setRunCount

    public void setRunCount(int runCount)

  Deprecated.

### getScaleUp

    public int getScaleUp()

  Deprecated.

### setScaleUp

    public void setScaleUp(int scaleUp)

  Deprecated.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.